# <img src="https://opentelemetry.io/img/logos/opentelemetry-logo-nav.png" alt="OTel logo" width="45"> OpenTelemetry.io

This is the source repository for the [OpenTelemetry][] website, project
documentation, and blog. The site is [built][contributing.md] using [Hugo][] and
is hosted on [Netlify][].

Public analytics for the website is [available here][].

## Get involved

To learn how to contribute fixes and new content to this project, read the
[Contributor's guide](https://opentelemetry.io/docs/contributing/), which
includes a style guide and useful information on the review process.

If you are new to OpenTelemetry and just get started with it, you are in a
perfect position to help us get better: the website and documentation is the
entry point for newcomers like you, so if something is unclear or something is
missing [let us know][].

### Submit a blog post

For guidance on how to write and submit a blog post, see
[Submit a blog post](https://opentelemetry.io/docs/contributing/blog/).

### Add a project to the OpenTelemetry [Registry]

For details on how to add a project to the OpenTelemetry Registry, see [Adding
to the registry][].

## Contributing

See the [Contributing](https://opentelemetry.io/docs/contributing) page in our
docs to learn how you can contribute and the
[Development Setup](https://opentelemetry.io/docs/contributing/development) page
to learn how to build the website locally.

## Found a security issue?

If you discover a security issue, read the
[Security Policy](https://github.com/open-telemetry/opentelemetry.io/security/policy)
before opening an issue.

## Meetings

We, the OTel Communications SIG, meet every two weeks on Monday at 10:00 PT.
Check out the [OpenTelemetry community calendar][] for the Zoom link and any
updates to this schedule.

Meeting notes are available as a public [Google doc][]. If you have trouble
accessing the doc, get in touch in the `#otel-comms` channel on [Slack][].

## Roles

Here is a list of community roles with current and previous members:

- Approvers: [@open-telemetry/docs-approvers][]

  - [Michael Hausenblas](https://github.com/mhausenblas), Amazon

- Maintainers: [@open-telemetry/docs-maintainers][]

  - [Austin Parker](https://github.com/austinlparker), Honeycomb
  - [Fabrizio Ferri-Benedetti](https://github.com/theletterf), Elastic
  - [Patrice Chalin](https://github.com/chalin), CNCF
  - [Phillip Carter](https://github.com/cartermp), Honeycomb
  - [Severin Neumann](https://github.com/svrnm)
  - [Tiffany Hrabusa](https://github.com/tiffany76), Grafana Labs

- Emeritus approvers:

  - [Paul Bruce](https://github.com/paulsbruce)

- Emeritus maintainers:

  - [Steve Flanders](https://github.com/flands)
  - [Morgan McLean](https://github.com/mtwo)
  - [jparsana](https://github.com/jparsana)

Learn more about roles in the [community repository][]. Thanks to [all who have
already contributed][contributors]!

## Licenses

- Documentation: [CC-BY-4.0](LICENSE)
- Code: [Apache-2.0](LICENSE-CODE)

[adding to the registry]: https://opentelemetry.io/ecosystem/registry/adding/
[let us know]:
  https://github.com/open-telemetry/opentelemetry.io/issues/new/choose
[@open-telemetry/docs-approvers]:
  https://github.com/orgs/open-telemetry/teams/docs-approvers
[@open-telemetry/docs-maintainers]:
  https://github.com/orgs/open-telemetry/teams/docs-maintainers
[community repository]:
  https://github.com/open-telemetry/community/blob/main/community-membership.md
[contributing.md]: CONTRIBUTING.md
[contributors]:
  https://github.com/open-telemetry/opentelemetry.io/graphs/contributors
[opentelemetry]: https://opentelemetry.io
[registry]: https://opentelemetry.io/ecosystem/registry/
[opentelemetry community calendar]:
  https://calendar.google.com/calendar/embed?src=google.com_b79e3e90j7bbsa2n2p5an5lf60%40group.calendar.google.com
[google doc]:
  https://docs.google.com/document/d/1wW0jLldwXN8Nptq2xmgETGbGn9eWP8fitvD5njM-xZY/edit?usp=sharing
[slack]: https://slack.cncf.io/
[hugo]: https://gohugo.io
[netlify]: https://netlify.com
[available here]:
  https://lookerstudio.google.com/reporting/34c2a65a-39e8-44aa-afa0-094975fee55d/page/4VDGB
