---
title: OpenTelemetry Governance Committee Explained
linkTitle: Governance Committee Explained
date: 2019-11-06
canonical_url: https://medium.com/opentelemetry/opentelemetry-governance-committee-explained-860353baba0
author: '[Sergey Kanzhelev](https://github.com/SergeyKanzhelev)'
cSpell:ignore: Kanzhelev Novotny Sergey
---

This article describes the functions and responsibilities of the OpenTelemetry
Governance Committee, based on the charter document found
[here](https://github.com/open-telemetry/community/blob/main/governance-charter.md).
It is an opinion, not the formal definition. The primary role of the Governance
Committee is not to centralize power, but to enable and empower the broader
community by establishing processes. Let me explain.

![Watering can](watering-can.jpeg)

The main objective of the OpenTelemetry project is to make robust, portable
telemetry a built-in feature of cloud native software. The most effective way to
do it is to build a community of passionate people, from existing ecosystem with
the diverse expertise and experience. This community will build a project that
is attractive to users, who will use it to instrument their software, as well as
telemetry vendors, who will build solutions that work with the open standards.

In other words, success of our project depends on building community — welcoming
contributions from small to large. Making sure that contributions go towards
contributor’s interests while keeping balance with the interests of other
community members.

As we strive to keep a lean governance, the most scalable approach to represent
contributors’ interests is to allow self-governance of individual special
interest groups. So these groups will be self-formed and autonomous. Maintainers
of special interest groups make final calls on technical questions related to
the group. The Governance Committee defines a clear way to become a maintainer
through continuous contributions.

With self-governance of special interest groups (SIGs), a big part of a
Governance Committee’s job is to keep project spirit and maintain its direction
through defining, evolving, and upholding the vision, values and scope of the
project. The main instrument of a Governance Committee is advocacy and building
relationships with contributors.

That said, the Governance Committee members are not project or product managers
in an industry understanding of these roles. Governance Committee members have
no power over day-to-day work of the SIGs _(it is typical that active SIG
members are members of Governance Committee and keep making decisions in this
SIG)_. The Governance Committee delegates responsibility for technical alignment
across all special interest groups to a Technical Committee. Members of this
Technical Committee make sure that SIG maintainers are aligned with the overall
project goals, specifications and design principles defined by Technical
Committee.

Where Governance Committee is limited in size and elected only once a year,
Technical Committee membership is more agile. It allows more diverse set of
people, representing various interests, to participate in defining project goals
and writing specifications.

The Governance Committee, alongside the CNCF, also holds keys for project
resources and assets like artifact repositories, build and test infrastructure,
web sites and their domains, blogs, social-media accounts, etc. It is also
responsible for ensuring that releases of components and artifacts are aligned
with the OpenTelemetry agenda, and with the project’s advocacy and marketing
needs.

The Governance Committee meets once a month in a public forum, and privately
when needed. Now that you have a better idea of what the Governance Committee
does, I hope you feel informed about which questions you can bring to Governance
Committee attention.

Come meet the new members of Governance Committee November 14th 10:00 PT and ask
your questions!

Thanks [Sarah Novotny](https://twitter.com/sarahnovotny) for review and
feedback!

_A version of this article was [originally posted][] on
[medium.com/opentelemetry](https://medium.com/opentelemetry)._

[originally posted]: <{{% param canonical_url %}}>
