---
title: Announcing the 2023 OpenTelemetry Governance Committee Election
linkTitle: 2023 GC Election
date: 2023-09-29
author: OpenTelemetry Governance Committee
cSpell:ignore: Bogdan Drutu dyladan mtwo Paxão Shkuro Sigelman trask
---

The OpenTelemetry project is excited to announce the 2023 OpenTelemetry
Governance Committee (GC) election. Nominations are due by end-of-day on 13
October 2023. The list of eligible candidates will be shared on 16 October 2023.
Voting will take place between 23 October 2023 and 25 October 2023, and the
final election results will be announced 27 October 2023.

## Vote!

If you are a
[member of standing](https://github.com/open-telemetry/community/blob/main/governance-charter.md#members-of-standing)
in the OpenTelemetry community, we invite you to participate in this election to
ensure that the community is well-represented in the Governance Committee. In
this election five people must be elected, each with two-year terms.

If you have made contributions to our ecosystem not measured by the automatic
process, you can request
[an exception](https://github.com/open-telemetry/community/blob/main/governance-charter.md#members-of-standing)
to participate in the election before 23:59 UTC on 20 October 2023. The voter
roll with all members of standing and approved exceptions will be published by 6
October 2023 and continuously updated until the exception deadline.

Voting will be open between 00:00 UTC on 23 October 2023 00:00 UTC and 25
October 2023 23:59 UTC on
[Helios Voting](https://vote.heliosvoting.org/helios/elections/1ee70ee4-11ce-11ee-aaf8-0a8c9aac83f9/view);
voters will need to sign in with their GitHub account.

To learn more about the election process, read about all of the details
[here](https://github.com/open-telemetry/community/blob/main/elections/2023/governance-committee-election.md).

## Interested in joining the Governance Committee?

If you’ve been working on OpenTelemetry and seeing it grow, or are an end-user
that wants to help us make OpenTelemetry better, now’s the time to consider
running for a seat on the Governance Committee. You can read about the
Governance Committee's role in
[this blog](/blog/2019/opentelemetry-governance-committee-explained/) post or
refer to the
[charter document](https://github.com/open-telemetry/community/blob/master/governance-charter.md).
You may nominate yourself (or others!) by submitting a Pull Request against the
[list of candidates](https://github.com/open-telemetry/community/blob/main/elections/2023/governance-committee-candidates.md)
by 13 October 2023 23:59 UTC — see the detailed requirements under
[nominations](https://github.com/open-telemetry/community/blob/main/elections/2023/governance-committee-election.md#nominations)
for the Governance Committee election.

We would like to thank the GC members who have helped grow OpenTelemetry, and
invite them to run for re-election if they so choose: Ben Sigelman, Bogdan
Drutu, Juraci Paxão Kröhling, Ted Young, and Yuri Shkuro.

## Questions?

For any election related questions, please file an issue on the
[community repository](https://github.com/open-telemetry/community/issues) here
and tag [@dyladan](https://github.com/dyladan),
[@mtwo](https://github.com/mtwo), and [@trask](https://github.com/trask). Or
send us a message on [CNCF Slack](https://slack.cncf.io/) in
[#opentelemetry](https://cloud-native.slack.com/archives/CJFCJHG4Q) if you have
an urgent access issue during voting.

See you at the polls!
