---
title: Join us for OpenTelemetry Talks and Activities at KubeCon EU 2023
linkTitle: KubeCon EU '23
date: 2023-04-03
author: '[Severin Neumann](https://github.com/svrnm)'
# prettier-ignore
cSpell:ignore: Aiven Benedikt Bongartz Jaglowski Kowall observ Oliveira Pathak Vider Xiaochun
---

The OpenTelemetry project maintainers, members of the governance committee, and
technical committee are excited to be at [KubeCon EU][] in Amsterdam from April
18 - 21, 2023!

Read on to learn about all the things related OpenTelemetry during KubeCon.

## KubeCon Talks and Maintainer Sessions

- **[Jaeger: The Future with OpenTelemetry and Metrics](https://sched.co/1HySf)**<br>
  by Pavol Loffay, Red Hat & Jonah Kowall, Aiven<br> Wednesday, April 19 •
  11:55 - 12:30
- **[Using OpenTelemetry for Application Security, with a Real Life Example](https://sched.co/1HyYT)**<br>
  by Ron Vider, Oxeye<br> Wednesday, April 19 • 11:55 - 12:30
- **[Understand Systems with OpenTelemetry: A Hybrid Telemetry Data Backend](https://sched.co/1Hyb2)**<br>
  by Ran Xu, Huawei & Xiaochun Yang, Northeastern University<br> Wednesday,
  April 19 • 14:30 - 15:05
- **[OTel Me About Metrics: A Metrics 101 Crash Course](https://sched.co/1Hya1)**<br>
  by Reese Lee, New Relic<br> Wednesday, April 19 • 17:25 - 18:00
- **[OpenTelemetry: Using Unified Semantics to Drive Insights + Project Update](https://sched.co/1HyS5)**<br>
  by Morgan McLean, Splunk, Alolita Sharma, Apple, Daniel Dyla, Dynatrace, & Ted
  Young, Lightstep<br> Thursday, April 20 • 16:30 - 17:05
- **[Connected Observability Pipelines in the OpenTelemetry Collector](https://sched.co/1HyXb)**<br>
  by Daniel Jaglowski, observIQ<br> Friday, April 21 • 11:55 - 12:30
- **[Tutorial: Exploring the Power of OpenTelemetry on Kubernetes](https://sched.co/1HyZ3)**<br>
  by Pavol Loffay, Benedikt Bongartz & Yuri Oliveira Sa, Red Hat, Severin
  Neumann, Cisco & Kristina Pathak, LightStep<br> Friday, April 21 • 16:00 -
  17:30

## Co-located Events

Come network with OpenTelemetry maintainers and core contributors during the
[OpenTelemetry project meeting](https://sched.co/1JWS7), on Tuesday April 18,
2023 from 16:00 - 17:00. You can attend with a _standard in-person pass_.

[Observability Day][] _fosters collaboration, discussion, and knowledge sharing
of cloud native observability projects_. This event will be held on April 18,
2023 from 9:00 - 17:00. There will be several sessions on OpenTelemetry as well.

> <i class="far fa-exclamation-triangle"></i> **IMPORTANT access note**: You
> need an _in-person all-access_ pass for on-site access to **Observability
> Day**. For details, see [KubeCon registration][]. If you have a virtual
> ticket, you will be able to follow **Observability Day** through a live
> stream.

## OpenTelemetry Project Booth

Drop by and say Hi! at the OpenTelemetry project booth in the KubeCon EU Project
Pavilion. If you’re lucky, you may even pick up some OpenTelemetry swag!

You will find us in the Solutions Showcase in Hall 5, Kiosk Number 20.

[Pavilion hours][] are as follows:

- Wednesday, April 19: 10:30 – 21:00 (includes KubeCrawl + CloudNativeFest from
  18:00 – 21:00)
- Thursday, April 20: 10:30 – 17:30
- Friday, April 21: 10:30 – 14:30

You can help us improve the project by sharing your thoughts and feedback about
your OpenTelemetry adoption, implementation, and usage! We also invite you to
fill out our [community survey][]. We will create action items from your
comments as appropriate. Check [#otel-user-research][] in CNCF's Slack instance
for survey results and action item updates to come after KubeCon EU.

Come join us to listen, learn, and get involved in OpenTelemetry.

See you in Amsterdam!

[kubecon eu]: https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/
[Observability Day]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/co-located-events/observability-day/
[kubecon registration]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/register/
[pavilion hours]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/program/project-engagement/#project-pavilion
[community survey]:
  https://docs.google.com/forms/d/e/1FAIpQLSdKm6oLYRXlZOhEZMVmjoIn4eBToVYNmF6fwpm5GAIipQmPxA/viewform?pli=1
[#otel-user-research]: https://cloud-native.slack.com/archives/C01RT3MSWGZ
