---
title: Join us for OpenTelemetry Talks and Activities at KubeCon NA 2023
linkTitle: KubeCon NA '23
date: 2023-10-02
author: '[Severin Neumann](https://github.com/svrnm) (Cisco)'
# prettier-ignore
cSpell:ignore: Anusha Aronoff Benedikt Bongartz Broadbridge Contribfest Coralogix Danielson Endo Flamegraphs Hrabovcak Itiel Itoh Jaglowski Kanal Komodor Kota Masanori Matej Mirabella Narapureddy observ Ohly Pivotto Purvi Reddy Sharone Shishi Shivanshu Shrivastava Shwartz Zitzman
---

The OpenTelemetry project maintainers, members of the governance committee, and
technical committee are thrilled to be at [KubeCon NA][] in Chicago from
November 6 - 9, 2023.

Read on to learn about all the things related OpenTelemetry during KubeCon.

## OpenTelemetry Contribfest

We are happy to announce, that for the first time, you can join the
OpenTelemetry maintainers in making OpenTelemetry better for everyone during the
[OpenTelemetry Contribfest](https://sched.co/1R2rQ), on Wednesday November 8,
2023 from 2:30pm - 3:55pm. There will be several opportunities to contribute:

- Join the Collector maintainers and help fix bugs, add new features, and add
  new transformation functions.
- Help the OTel JS maintainers update the instrumentation libraries and ensure
  they are outputting [semantic convention-compliant](/docs/specs/semconv/)
  telemetry data.

## KubeCon Talks and Maintainer Sessions

- **[All You Need to Know About Prometheus in 2023: Decade of Monitoring](https://sched.co/1R2mK)**<br>
  by Julien Pivotto, O11y<br> Tuesday, November 7 • 11:00am - 11:35am
- **[A Practical Guide to Debugging Browser Performance with OpenTelemetry](https://sched.co/1R2m6)**<br>
  by Purvi Kanal, Honeycomb<br> Tuesday, November 7 • 11:00am - 11:35am
- **[A Tale of Two Flamegraphs: Unlocking Performance Insights in a Diverse Application Landscape](https://sched.co/1R2mo)**<br>
  by Ryan Perry, Grafana Labs<br> Tuesday, November 7 • 11:55am - 12:30pm
- **[Observability in the Cloud Native Era - Why Is It Still so Hard?](https://sched.co/1R2nO)**<br>
  by Sharone Zitzman, RTFM Please; Jason Yee, Datadog; Charity Majors,
  honeycomb.io; Itiel Shwartz, Komodor<br> Tuesday, November 7 • 2:30pm - 3:05pm
- **[Leverage Contextual and Structured Logging in K8s for Enhanced Monitoring](https://sched.co/1R2oQ)**<br>
  by Patrick Ohly, Intel & Shivanshu Raj Shrivastava, Independent<br> Tuesday,
  November 7 • 3:25pm - 4:00pm
- **[Build in Observability While Developing](https://sched.co/1R2oA)**<br> by
  Jamie Danielson, Honeycomb.io<br> Tuesday, November 7 • 3:25pm - 4:00pm
- **[E2E Observability for Connected Vehicle Service via Distributed Tracing](https://sched.co/1R2oh)**<br>
  by Kota Endo, KDDI Corporation & Masanori Itoh, Toyota Motor Corporation<br>
  Tuesday, November 7 • 4:30pm - 5:05pm
- **[Journey to Becoming an OpenTelemetry Approver](https://sched.co/1R2pI)**<br>
  by Jamie Danielson, Honeycomb.io<br> Tuesday, November 7 • 5:25pm - 6:00pm
- **[OpenTelemetry: What's Next? Logs, Profiles, and More](https://sched.co/1R2ur)**<br>
  by Morgan McLean, Splunk; Ted Young, Lightstep; Alolita Sharma, Apple; Daniel
  Dyla, Dynatrace<br> Wednesday, November 8 • 11:00am - 11:35am
- **[Tutorial: Exploring the Power of Metrics Collection with OpenTelemetry on Kubernetes](https://sched.co/1R2pr)**<br>
  by Pavol Loffay & Benedikt Bongartz, Red Hat; Anthony Mirabella, AWS; Matej
  Gera, Coralogix; Anusha Reddy Narapureddy, Apple<br> Wednesday, November 8 •
  11:00am - 12:30pm
- **[Introducing Logs in OpenTelemetry: What It Unlocks and How to Use It](https://sched.co/1R2r4)**<br>
  by Morgan McLean, Splunk & Dan Jaglowski, observIQ<br> Wednesday, November 8 •
  2:30pm - 3:05pm
- **[Empowering Users Through Platform Engineering: Unleashing the Potential of Self-Service Tooling](https://sched.co/1R2rW)**<br>
  by Ana Margarita Medina & Adriana Villela, Lightstep<br> Wednesday, November 8
  • 2:30pm - 3:05pm
- **[Jaeger the Future with OpenTelemetry and Metrics](https://sched.co/1R2q1)**<br>
  by Pavol Loffay, Red Hat<br> Wednesday, November 8 • 3:25pm - 4:00pm
- **[Tutorial: OpenTelemetry 101: Let's Instrument!](https://sched.co/1R2sI)**<br>
  by Paige Cruz, Chronosphere<br> Wednesday, November 8 • 4:30pm - 6:00pm
- **[Remote Control for Observability Using the Open Agent Management Protocol](https://sched.co/1R2sr)**<br>
  by Jacob Aronoff, Lightstep from ServiceNow & Andy Keller, observIQ<br>
  Wednesday, November 8 • 5:25pm - 6:00pm
- **[OpenTelemetry Tracing for Monoliths](https://sched.co/1R2sr)**<br> by
  Phillip Carter, Honeycomb<br> Thursday, November 9 • 11:00am - 11:35am
- **[Today, Not Tomorrow: Scalable Strategies for Migrating to OpenTelemetry](https://sched.co/1R2uc)**<br>
  by Jason Anderson & Kevin Broadbridge, Cruise<br> Thursday, November 9 •
  2:00pm - 2:35pm
- **[How and Why You Should Adopt and Expose OSS Interfaces Like OTel & Prometheus](https://sched.co/1R2uc)**<br>
  by Daniel Hrabovcak & Shishi Chen, Google<br> Thursday, November 9 • 4:55pm -
  5:30pm

## Co-located Events

[Observability Day][] _fosters collaboration, discussion, and knowledge sharing
of cloud native observability projects_. This event will be held on November 6,
2023 from 9am - 5pm. There will be several sessions on OpenTelemetry as well.

> <i class="far fa-exclamation-triangle"></i> **IMPORTANT access note**: You
> need an _in-person all-access_ pass for on-site access to **Observability
> Day**. For details, see [KubeCon registration][]. If you have a virtual
> ticket, you will be able to follow **Observability Day** through a live
> stream.

## OpenTelemetry Project Booth

Drop by and say _"Hi!"_ at the OpenTelemetry project booth in the KubeCon NA
Project Pavilion. If you’re lucky, you may even pick up some OpenTelemetry swag.

[Pavilion hours][] are as follows:

- Tuesday, November 7: 10:30am – 8:00pm (includes KubeCrawl + CloudNativeFest
  from 6:00pm – 8:00pm)
- Wednesday, November 8: 10:30am – 5:00pm
- Thursday, November 9: 10:30am – 2:30pm

You can help us improve the project by sharing your thoughts and feedback about
your OpenTelemetry adoption, implementation, and usage. We also invite you to
fill out our [community survey][]. We will create action items from your
comments as appropriate. Check [#otel-user-research][] in CNCF's Slack instance
for survey results and action item updates to come after KubeCon NA.

## OpenTelemetry Observatory

In addition to our booth at the Project Pavilion, please visit the OpenTelemetry
Observatory presented by Splunk in the Expo Hall! This will be a place for
informal chats, meetups, and other discussions led by OpenTelemetry community
members and maintainers. If you’d like to participate and lead a discussion or
short presentation,
[please fill out the content application form](https://forms.gle/ajNv8jGs12coDUjG8)
to indicate your interest.

Come join us to listen, learn, and get involved in OpenTelemetry.

See you in Chicago!

[kubecon na]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-north-america/
[Observability Day]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-north-america/co-located-events/observability-day/
[kubecon registration]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-north-america/register/
[pavilion hours]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/program/project-engagement/#project-pavilion
[community survey]:
  https://docs.google.com/forms/d/e/1FAIpQLSdKm6oLYRXlZOhEZMVmjoIn4eBToVYNmF6fwpm5GAIipQmPxA/viewform?pli=1
[#otel-user-research]: https://cloud-native.slack.com/archives/C01RT3MSWGZ
