---
title: Opentelemetry PHP Beta Release
linkTitle: PHP Beta Release
date: 2023-01-30
author: '[Bob Strecansky](https://github.com/bobstrecansky/) (Intuit)'
cSpell:ignore: Strecansky
---

The OpenTelemetry PHP SIG is very excited to announce the release of
[v1.0.0beta1](https://github.com/open-telemetry/opentelemetry-php/releases/tag/1.0.0beta1)
of [OpenTelemetry PHP](https://github.com/open-telemetry/opentelemetry-php).
This is the culmination of over 3 years of work done by the OpenTelemetry PHP
team.

We are actively soliciting feedback from the development community for this
library. Try the beta release, instrument your PHP app with it, and open an
[issue](https://github.com/open-telemetry/opentelemetry-php/issues/new/choose)
if you’d like to see a bug squashed or a new feature added.

There are many ways you can get started with our project:

- There are [examples](/docs/languages/php/examples/) in the repository to get
  you started.
- The [getting started guide](/docs/languages/php/getting-started/) can help you
  to instrument a sample PHP file.
- The [quote service](/docs/demo/services/quote/), is a demo application built
  in PHP to showcase the library.

Questions? Feel free to reach out to us in the CNCF
[#otel-php](https://cloud-native.slack.com/archives/C01NFPCV44V) Slack channel,
or come to our SIG meeting, which you can find on the
[OTel public calendar](https://calendar.google.com/calendar/embed?src=google.com_b79e3e90j7bbsa2n2p5an5lf60%40group.calendar.google.com).
