---
title: Submitting Your First Conference Talk
linkTitle: Submitting a CFP
date: 2023-02-10
author: '[Josh Lee](https://github.com/joshleecreates/) (IBM)'
canonical_url: https://joshuamlee.com/submitting-your-first-conference-talk/
cSpell:ignore: scraly Sessionize
---

Submitting a conference talk in the tech industry can be a thrilling and
nerve-wracking experience, especially if it’s your first time. The thought of
presenting your ideas to a room full of experts and industry professionals can
be intimidating, but also an opportunity to showcase your skills, gain
recognition, and network with others in your field.

On Wednesday, February 1st, 2023, the
[OpenTelemetry End User Working Group](/community/end-user/) ran an
Observability Abstract Workshop. The goal was to help folks who are new to
speaking, and are interested in submitting an observability panel or talk. The
workshop featured advice and expertise from OpenTelemetry community members
[Reese Lee](https://github.com/reese-lee),
[Daniel Kim](https://github.com/lazyplatypus),
[Rynn Mancuso](https://github.com/musingvirtual),
[Juraci Paixão Kröhling](https://github.com/jpkrohling), and
[Adriana Villela](https://github.com/avillela).

What follows is a summary of the workshop's main takeaways. Whether you’re a
seasoned speaker or just starting out, this guide will provide you with tips to
help you make the most of your conference talk submission and increase your
chances of being selected to speak.

## Tip #1: Just do it

Don’t let perfection be the enemy of good. The best way to start giving talks is
to just start submitting and see what happens. You don’t need to craft the
perfect proposal (although tailoring it for the event and target audience will
certainly help!) and you don’t need to be an industry-leading subject matter
expert.

Don’t let any excuse stop you. So many conferences and events are desperate for
anybody who simply has the **willingness** to speak and a little something to
share. You may be surprised how happy people are to hear real world experience
from their peers.

But if you’re still unsure, you may want to consider…

## Tip #2: Start at a Meetup or User Group

If you’re not sure about your public speaking and want to start in a
low-pressure environment, I would definitely recommend pitching any topics to a
local meetup or user group. You can even treat your next team meeting as an
opportunity to speak, paying attention how you present your thoughts.

As a former meetup organizer, I can tell you that they are constantly looking
for willing speakers.

Meetups are also a great place to workshop a talk or topic that you are planning
to present for larger audiences at a conference.

## Tip #3: You don’t have to be an expert

A lot of people that I talk to feel that they need to be an expert on a topic in
order to give a talk about it. This couldn’t be further from the truth. While
conferences and audiences love to highlight deep subject matter experts, the
insight of beginners can be just as valuable.

A common tactic for conference talks is to submit a topic that you are
interested in learning more about. If your talk is accepted, it gives you an
excuse to learn that topic deeply — and your fresh perspective can make the
topic more accessible to other beginners.

This tactic is _sometimes_ referred to as “Conference Driven Development” 😂

## Tip #4: You don’t have to be original

Choosing a topic can be difficult. There is a strong temptation to only submit
original topics that the world has never seen before. Resist this urge. Your
topics don’t have to be unique or novel to be valuable.

In fact, “A beginners guide to X” is probably going to have much broader appeal
than “How we combined seven really specific and niche technologies to solve this
one problem” — although both of those topics could be interesting!

If you’re stumped for deeper ideas, consider:

- Sharing a learning journey (see Tip #3)
- Sharing a real world case study about how you used a specific technology to
  solve a problem
- Diving deep on a specific topic or technology
- Doing a bake-off or round-up of comparable tools

If your topic is touching some Open Source project - you can always ask for the
feedback from the expert in the community. They may suggest an interesting angle
for your talk. You can even try to find a co-speaker. Don't be shy asking for
help and form great connections in the community.

## Where to submit your talk

I am thrilled to see the resurgence in conferences that is currently underway.
There is no shortage of venues in need of up-and-coming speakers.

As a starting point, I would recommend looking at smaller community-organized
conferences like DevOpsDays and Code Camps. Often these conferences are hosted
by a local meetup group, which makes it very easy to get connected with the
organizers and ask them exactly what kind of talks they are looking for.

Don’t be afraid to submit the same talk to multiple conferences (unless the
conferences disallow this, but most don’t). Here are some websites I use to find
conferences:

- [GitHub - scraly/developers-conferences-agenda](https://github.com/scraly/developers-conferences-agenda)
- [SeeCFP](https://seecfp.com/)
- [Sessionize](https://sessionize.com/)
- [The Linux Foundation](https://events.linuxfoundation.org/)

## Writing your abstract

Some conferences just require a few sentences or bullet points about your talk,
while others may require a few pages of information including a detailed
abstract and bio. In either case, remember to think about the abstract from the
(potential) audience’s point of view.

It’s important to cover what technologies you will discuss, of course, but you
also want to make sure you do a proper introduction to the use case for people
who may not know the technology.

One of the most valuable talks I ever attended was about a topic I needed
(debugging strategies) in a language I had never used at that point (.NET).

So really, what you want to tell your audience in your abstract is: what will
they learn from attending your talk?

## Making the most of your conference experience

Making the most of a conference could be a topic for an entirely new blog post,
but I want to share my top three most important tips:

1. Wear comfortable shoes
2. Leave room for serendipity (the hallway track)
3. Collect stats, make notes, and record feedback to motivate you to do it again

The first point should be obvious. Most of us are used to spending 10-12 hours a
day on our butts. Shifting that weight to our feet for a week can be a lot.

The second point is less obvious. At my first conference I felt that I was
missing out any time I wasn’t in a session. Now I know better. While the talks
are amazing for revving my mental engine, the “Hallway Track” is where the best
conversations and connections happen.

Third is important - any data that may help you remember your experience or be
used to brag or convince your company to sponsor your next speaking engagement,
are very valuable. You have done a lot of work, be proud of it. The only way to
take advantage of this is if you leave some wiggle room in your schedule and
aren’t afraid to take breaks when you need them.
