---
title:
  Join us for OpenTelemetry Talks and Activities at KubeCon + CloudNativeCon
  Europe 2024
linkTitle: KubeCon EU '24
date: 2024-02-28
author: '[Severin Neumann](https://github.com/svrnm) (Cisco)'
# prettier-ignore
cSpell:ignore: Aiven Alexandre Anusha Arbiv Beemer Benedikt Blanco Bongartz Chekuri Coralogix Cosmonic Dyrmishi Jiekun Joonas Kanal Kolachala Kowall Machado Magno Marcin Matej Mirabella Narapureddy Nenashev Oleg Oluwalolope Outshift Pismo Purvi Quwan Reddy Ridwan Rollouts Ryanair Skyscanner Sodkiewicz Soluções Srikanth Tecnológicas Yosef
---

The OpenTelemetry project maintainers, members of the governance committee, and
technical committee are thrilled to be at [KubeCon + CloudNativeCon Europe] and
at the co-located
[Observability Day](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/co-located-events/observability-day/)
in Paris from March 19 - 22, 2024.

Read on to learn about all the things related OpenTelemetry during KubeCon.

This post may be updated as we receive notice of other activities, please check
it again right before KubeCon!

## KubeCon Talks and Maintainer Sessions

- **[OpenTelemetry: Project Updates, Next Steps, and AMA](https://sched.co/1Yhf8)**<br>
  by Severin Neumann, Cisco; Austin Parker, Honeycomb; Trask Stalnaker,
  Microsoft; Daniel Gomez Blanco, Skyscanner; Alolita Sharma, Apple<br>
  Wednesday, March 20 • 11:15 - 11:50
- **[Distributed Tracing with Jaeger and OpenTelemetry](https://sched.co/1YhfT)**<br>
  by Pavol Loffay, Red Hat & Jonah Kowall, Aiven<br> Wednesday, March 20 •
  12:10 - 12:45
- **[Disintegrated Telemetry: The Pains of Monitoring Asynchronous Workflows](https://sched.co/1YeNV)**<br>
  by Johannes Tax, Grafana Labs<br> Wednesday, March 20 • 16:30 - 17:05
- **[From RUM to Front-End Observability with OpenTelemetry](https://sched.co/1YeOH)**<br>
  by Purvi Kanal, Honeycomb<br> Thursday, March 21 • 11:00 - 11:35
- **[Tutorial: Exploring the Power of Distributed Tracing with OpenTelemetry on Kubernetes](https://sched.co/1YePA)**<br>
  by Pavol Loffay & Benedikt Bongartz, Red Hat; Matej Gera, Coralogix; Anthony
  Mirabella, AWS; Anusha Reddy Narapureddy, Apple<br> Thursday, March 21 •
  14:30 - 16:00
- **[Prometheus and OpenTelemetry: Better Together](https://sched.co/1YePz)**<br>
  by Adriana Villela, ServiceNow Cloud Observability & Reese Lee, New Relic<br>
  Thursday, March 21 • 16:30 - 17:05
- **[Observable Feature Rollouts with OpenTelemetry and OpenFeature](https://sched.co/1YeSC)**<br>
  by Daniel Dyla & Michael Beemer, Dynatrace<br> Friday, March 22 • 16:00 -
  16:35

## Observability Day

_[Observability Day] fosters collaboration, discussion, and knowledge sharing of
cloud native observability projects_. This event will be held on March 19, 2024
from 9:00 - 17:35. There will be several sessions on OpenTelemetry as well:

- **[Welcome + Project Updates](https://sched.co/1YGT9)**<br> by Eduardo Silva,
  FluentBit & Austin Parker, honeycomb.io<br> Tuesday, March 19th • 09:00 -
  09:20
- **[Dude, Where’s My Error?: How OpenTelemetry Records Errors, and Why It Does It Like That](https://sched.co/1YFeM)**<br>
  by Adriana Villela, ServiceNow Cloud Observability (formerly Lightstep) &
  Reese Lee, New Relic<br> Tuesday, March 19th • 10:00 - 10:25
- **[How to Think About Instrumentation Overhead](https://sched.co/1YFfb)**<br>
  by Jason Plumb, Splunk<br> Tuesday, March 19th • 11:05 - 11:30
- **[TTChat’s Story: Connect Metrics, Logs and Traces with eBPF](https://sched.co/1YFfe)**<br>
  by Zhu Jiekun, Quwan<br> Tuesday, March 19th • 11:05 - 11:30
- **[Panel: OpenTelemetry: Realizing the Value of Open Standards](https://sched.co/1YFgW)**<br>
  by Daniel Gomez Blanco, Skyscanner; Marcin Sodkiewicz, Ryanair; Iris Dyrmishi,
  Miro; Hope Oluwalolope, Microsoft<br> Tuesday, March 19th • 12:15 - 12:50
- **[Telemetry Showdown: Fluent Bit Vs. OpenTelemetry Collector - a Comprehensive Benchmark Analysis](https://sched.co/1YFhI)**<br>
  by Henrik Rexed, Dynatrace<br> Tuesday, March 19th • 13:30 - 13:55
- **[Monitoring Serverless Workloads with OpenTelemetry and Prometheus](https://sched.co/1YFhh)**<br>
  by Ridwan Sharif, Google<br> Tuesday, March 19th • 14:05 - 14:30
- **[Observability at the Edge: Instrumenting WebAssembly with OpenTelemetry](https://sched.co/1YFik)**<br>
  by Dan Norris & Joonas Bergius, Cosmonic<br> Tuesday, March 19th • 15:15 -
  15:40
- **[Real-World Sampling – Lessons Learned After Reducing ~80% of Our O11y Costs](https://sched.co/1YFii)**<br>
  by Juraci Paixão Kröhling, Grafana Labs & Alexandre Magno Prado Machado, Pismo
  Soluções Tecnológicas<br> Tuesday, March 19th • 15:15 - 15:40
- **[⚡ Lightning Talk: Not Just Enterprise. Modern Java App CI/CD Observability with OTel, Quarkus and Gradle](https://sched.co/1YFin)**<br>
  by Oleg Nenashev, WireMock<br> Tuesday, March 19th • 15:45 - 15:50
- **[Shift Into an Observability Mindset with OpenTelemetry](https://sched.co/1YFjB)**<br>
  by Daniel Gomez Blanco, Skyscanner<br> Tuesday, March 19th • 15:45 - 16:15
- **[⚡ Lightning Talk: Federated Search Over Distributed Observability Data](https://sched.co/1YFjC)**<br>
  by Kalyan Kolachala, Intuit<br> Tuesday, March 19th • 15:55 - 16:00
- **[⚡ Lightning Talk: Application Security Through the Lens of OpenTelemetry - Yosef Arbiv, Outshift by Cisco](https://sched.co/1YFf5)**<br>
  by Kalyan Kolachala, Intuit<br> Tuesday, March 19th • 16:05 - 16:10
- **[Lazy Robots: Telemetry Buffering on Android](https://sched.co/1YFk3)**<br>
  by Cesar Munoz, Elastic & Jason Plumb, Splunk<br> Tuesday, March 19th •
  17:00 - 17:25
- **[OpAMP in Action: User Configurable Observability Pipelines](https://sched.co/1YFk6)**<br>
  by Srikanth Chekuri, SigNoz<br> Tuesday, March 19th • 17:00 - 17:25

{{% alert title="Important access note" color="danger" %}}

You need an _in-person all-access_ pass for on-site access to **Observability
Day**. For details, see [KubeCon registration]. If you have a virtual ticket,
you will be able to follow **Observability Day** through a live stream.

[kubecon registration]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/register/

{{% /alert %}}

## OpenTelemetry Observatory

Drop by and say _"Hi!"_ at OpenTelemetry Observatory presented by Splunk in the
Expo Hall. This will be a place for informal chats, meetups, and other
discussions led by OpenTelemetry community members and maintainers. For the
activity schedule, see the
[OTel Observatory Calendar](https://shorturl.at/qEUX1).

If you’d like to participate and lead a discussion or short presentation, reach
out to the
[OpenTelemetry End User Working Group](https://cloud-native.slack.com/archives/C01RT3MSWGZ)
to indicate your interest.

You can help us improve the project by sharing your thoughts and feedback about
your OpenTelemetry adoption, implementation, and usage.

To join a feedback session, book online below. All times in Central European
Time (CET).

- **March 20th, 11:45-12:45:**
  [End User Feedback Session - .NET & .NET Auto-Instrumentation](https://calendly.com/euwg-user-feedback-session/end-user-feedback-session?month=2024-03)
- **March 20th, 15:00-16:00:**
  [End User Feedback Session - JavaScript](https://calendly.com/euwg-user-feedback-session/end-user-feedback-session-javascript?month=2024-03)
- **March 21st, 11:00-12:00:**
  [End User Feedback Session - Semantic Conventions](https://calendly.com/euwg-user-feedback-session/end-user-feedback-session-semantic-conventions?month=2024-03)
- **March 21st, 14:30-15:30:**
  [End User Feedback Session - Comms (website, docs)](https://calendly.com/euwg-user-feedback-session/end-user-feedback-session-comms?month=2024-03)
- **March 21st, 15:00-16:00:**
  [End User Feedback Session - Profiling](https://calendly.com/euwg-user-feedback-session/end-user-feedback-session-profiling?month=2024-03)
- **March 21st, 15:30-16:30:**
  [End User Feedback Session - Client-side](https://calendly.com/euwg-user-feedback-session/end-user-feedback-session-client-side)

A maximum of 5 participants will join one SIG maintainer to provide feedback for
that SIG. Sessions will be recorded and posted on the
[OTel YouTube channel](https://youtube.com/@otel-official).

We will create action items from your comments as appropriate. Check
[#otel-user-research] in CNCF's Slack instance for results and action item
updates to come after KubeCon EU.

Back by popular demand! We'll be recording
[Humans of OTel interviews](/blog/2023/humans-of-otel/) at the OTel Observatory.
If you'd like to share your experiences as an OpenTelemetry practitioner or
maintainer,
[sign up for an interview session](https://calendly.com/otel-euwg/humans-of-otel).

Come join us to listen, learn, and get involved in OpenTelemetry.

See you in Paris!

[#otel-user-research]: https://cloud-native.slack.com/archives/C01RT3MSWGZ
[KubeCon + CloudNativeCon Europe]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/
[Observability Day]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/co-located-events/observability-day/
