---
title: Join us for OpenTelemetry Talks and Activities at KubeCon NA 2024
linkTitle: KubeCon NA '24
date: 2024-11-05
author: '[Severin Neumann](https://github.com/svrnm) (Cisco)'
# prettier-ignore
cSpell:ignore: Arnell Ashok Chandrasekar Clario Contribfest Ekansh Grabner Haeussler Helmuth Jernigan Kalkanis Kats Kowall Kruthika Liudmila Mclean Molkova Novatec OTTL Prasanna Shivanshu Shrivastava simha Woerner
---

The OpenTelemetry project maintainers, members of the governance committee, and
technical committee are thrilled to be at [KubeCon NA] in Salt Lake City from
November 12 - 15, 2024.

Read on to learn about all the things related OpenTelemetry during KubeCon.

## OpenTelemetry Contribfest

Join the OpenTelemetry maintainers for the
[OpenTelemetry Contribfest](https://sched.co/1hoyF) to make the project better
for everyone. You can choose between several opportunities to contribute, and
you can count on maintainers from different project areas to help you on your
first steps: documentation, Collector, Java, JS, Ruby, Python, .NET, and more.

## KubeCon Talks and Maintainer Sessions

- **[Jaeger: Distributed Tracing with Jaeger and OpenTelemetry | Project Lightning Talk](https://sched.co/1iW8S)**<br>
  by Jaeger Maintainers<br> Tuesday November 12, 2024 9:59am - 10:04am MST
- **[OpenTelemetry: OpenTelemetry in Five Minutes | Project Lightning Talk](https://sched.co/1iW8Y)**<br>
  by OpenTelemetry Maintainers<br> Tuesday November 12, 2024 10:13am - 10:18am
  MST
- **[OpenTelemetry: The OpenTelemetry Hero’s Journey: Working with Open Source Observability | Project Lightning Talk](https://sched.co/1iW8e)**<br>
  Tuesday November 12, 2024 10:27am - 10:32am MST
- **[OpenTelemetry: The Future of Network Monitoring, eBPF for Low-Level Insights | Project Lightning Talk](https://sched.co/1iW8k)**<br>
  Tuesday November 12, 2024 10:41am - 10:46am MST
- **[Lightning Talk: Minimizing Data Loss Within the OpenTelemetry (OTel) Collector](https://sched.co/1i7kC)**<br>
  by Alex Kats, Capital One<br> Tuesday November 12, 2024 6:05pm - 6:10pm MST
- **[Optimizing LLM Performance in Kubernetes with OpenTelemetry](https://sched.co/1i7lA)**<br>
  by Ashok Chandrasekar, Google & Liudmila Molkova, Microsoft<br> Wednesday
  November 13, 2024 2:30pm - 3:05pm MST
- **[Unifying Observability: Correlating Metrics, Traces, and Logs with Exemplars and OpenTelemetry](https://sched.co/1i7lJ)**<br>
  by Kruthika Prasanna Simha & Charlie Le, Apple<br> Wednesday November 13, 2024
  2:30pm - 3:05pm MST
- **[OpenTelemetry Project Update](https://sched.co/1hovy)**<br> by Alolita
  Sharma, Apple; Juraci Paixão Kröhling, Grafana Labs; Ted Young, ServiceNow;
  Morgan Mclean, Splunk; Daniel Dyla, Dynatrace<br> Wednesday November 13, 2024
  3:25pm - 4:00pm MST
- **[Using OpenTelemetry for Deep Observability Within Messaging Queues](https://sched.co/1i7li)**<br>
  by Shivanshu Raj Shrivastava & Ekansh Gupta, SigNoz<br> Wednesday November 13,
  2024 3:25pm - 4:00pm MST
- **[Distributed Tracing with Jaeger and OpenTelemetry](https://sched.co/1hoyb)**<br>
  by Jonah Kowall, Independent & Pavol Loffay, Red Hat<br> Wednesday November
  13, 2024 4:30pm - 5:05pm MST
- **[Understanding How OpenTelemetry Network Uses eBPF for Network Observability](https://sched.co/1how7)**<br>
  by Shivanshu Raj Shrivastava, SigNoz & Jonathan Perry, PerfPod<br> Wednesday
  November 13, 2024 5:25pm - 6:00pm MST
- **[The OTTL Cookbook: A Collection of Solutions to Common Problems](https://sched.co/1i7mZ)**<br>
  by Tyler Helmuth, Honeycomb & Evan Bradley, Dynatrace<br> Wednesday November
  13, 2024 5:25pm - 6:00pm MST
- **[Lesson’s Learned Adopting OpenTelemetry at Scale](https://sched.co/1i7nC)**<br>
  by Alex Arnell, Heroku / Salesforce<br> Thursday November 14, 2024 11:00am -
  11:35am MST
- **[How We Made OpenTelemetry Be Our Fitness Tracker for Your CI/CD Pipelines!](https://sched.co/1i7nM)**<br>
  by Nicolas Woerner, Clario & Andreas Grabner, Dynatrace<br> Thursday November
  14, 2024 11:00am - 11:35am MST
- **[Low-Overhead, Zero-Instrumentation, Continuous Profiling for OpenTelemetry](https://sched.co/1i7nz)**<br>
  by Christos Kalkanis, Elastic<br> Thursday November 14, 2024 2:30pm - 3:05pm
  MST
- **[Fluent Bit: Better Pipelines for Observability](https://sched.co/1hoxB)**<br>
  by Eduardo Silva, Chronosphere<br> Thursday November 14, 2024 4:30pm - 5:05pm
  MST
- **[Mastering OpenTelemetry Collector Configuration](https://sched.co/1i7ot)**<br>
  by Steve Flanders, Cisco<br> Thursday November 14, 2024 4:30pm - 5:05pm MST
- **[Tutorial: OpenTelemetry Hands-on - Automatic and Manual Instrumentation for Java and Python Apps](https://sched.co/1i7pd)**<br>
  by Matthias Haeussler, Novatec Consulting GmbH & Tiffany Jernigan,
  Independent<br> Friday November 15, 2024 11:00am - 12:30pm MST
- **[Contribfest: OpenTelemetry Contribfest](https://sched.co/1hoyF)**<br> by
  OpenTelemetry Maintainers<br> Friday November 15, 2024 4:00pm - 5:30pm MST

## Observability Day

_[Observability Day] fosters collaboration, discussion, and knowledge sharing of
cloud native observability projects_. This event will be held on November 12,
2024 from 9am to 6pm.
[Check the full schedule](https://colocatedeventsna2024.sched.com/overview/type/Observability+Day)
to find your favorite talks about Observability and OpenTelemetry.

> <i class="far fa-exclamation-triangle"></i> **IMPORTANT access note**: You
> need an _in-person all-access_ pass for on-site access to **Observability
> Day**. For details, see [KubeCon registration]. If you have a virtual ticket,
> you will be able to follow **Observability Day** through a live stream.

## OpenTelemetry Observatory

Drop by and say _"Hi!"_ at OpenTelemetry Observatory presented by Splunk in the
Expo Hall. This will be a place for informal chats, meetups, and other
discussions led by OpenTelemetry community members and maintainers.

Note, that the Observatory may show up as "Splunk Activation Booth" on the event
map.

For the activity schedule, see the
[OTel Observatory Schedule](https://docs.google.com/spreadsheets/d/1E23Dkz1B2us71BtlQq8oG4o_QFsTeLPeh-X2uVnlubg/edit?usp=sharing).
Note that this schedule may be updated up until the day of the event, so check
back for the latest!

New for this year!

- SIG Office Hours: Come meet the people behind the project, learn about their
  work, ask questions, share feedback, or find out how to contribute.
- Special Topic Discussions: Come learn about two of the hottest OTEPs right
  now, Events and Entities!

If you'd like to participate by leading a discussion, or if there is a
discussion topic you're interested in, please reach out to the
[OpenTelemetry End User SIG](https://cloud-native.slack.com/archives/C01RT3MSWGZ)
to let us know, and we will see what we can do.

You can help us improve the project by sharing your thoughts and feedback about
your OpenTelemetry adoption, implementation, and usage.

We will create action items from your comments as appropriate. Check
[#otel-sig-end-user] in CNCF's Slack instance for results and action item
updates to come after KubeCon EU.

Come join us to listen, learn, and get involved in OpenTelemetry.

See you in Salt Lake City!

[kubecon na]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-north-america/
[Observability Day]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-north-america/co-located-events/observability-day/
[kubecon registration]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-north-america/register/
[#otel-sig-end-user]: https://cloud-native.slack.com/archives/C01RT3MSWGZ
