---
title: The OpenTelemetry Contributor Experience Survey is open!
linkTitle: ContribEx Survey is open
date: 2025-02-17
author: >-
  [Pablo Baeyens](https://github.com/mx-psi) (Datadog)
sig: Contributor Experience
cSpell:ignore: Baeyens Outreachy
---

{{% alert-md title="TL;DR" color="secondary" %}}

Take our [OpenTelemetry Contributor Survey][6] and help us **enhance the
contributor experience**. We appreciate your time and feedback!

{{% /alert-md %}}

Since its founding, OpenTelemetry has had [thousands of contributors][3] from
around the world, including end users, vendors, and students. [Last summer][1]
some members of the OpenTelemetry project came together to create the
[Contributor Experience SIG][2], which is focused on ensuring that contributors
of all types have a great experience with the OpenTelemetry project.

Since then, the SIG has worked on several initiatives, including an [Outreachy
project][5] to develop [up-to-date contributor docs][4].

To inform future initiatives and help us understand the current state of the
contributor experience, today we are launching our first official Contributor
Experience Survey. If you have ever contributed to the project, be it with code,
documentation, or in a different way, we want to hear from you! The survey
should take between five and ten minutes, and is **open from February 17th to
March 17th**.

The survey is anonymous; only [maintainers of the Contributor Experience SIG][7]
will see your full individual answers. We will share an aggregate analysis of
the survey results once completed, with a special focus to avoid data
re-identification.

We invite you to **access the [survey][6]** and share your experience. If you
have any questions or concerns, reach out to Pablo Baeyens on the [CNCF
Slack][8] or using the email listed on the first page of the survey.

[1]: https://github.com/open-telemetry/community/pull/2162
[2]: https://github.com/open-telemetry/sig-contributor-experience
[3]:
  https://opentelemetry.devstats.cncf.io/d/9/developer-activity-counts-by-repository-group-table?orgId=1
[4]: https://github.com/open-telemetry/sig-contributor-experience/issues/16
[5]: https://www.outreachy.org/
[6]:
  https://docs.google.com/forms/d/e/1FAIpQLScoG279ZhRuMu8J_8BebGEVtMOS8BgD9cpQUJ6xSnNIAUtedw/viewform?usp=header
[7]:
  https://github.com/orgs/open-telemetry/teams/sig-contributor-experience-maintainers
[8]: https://slack.cncf.io/
