---
title:
  Join us for OpenTelemetry Talks and Activities at KubeCon + CloudNativeCon
  Europe 2025
linkTitle: KubeCon EU '25
date: 2025-03-04
author: '[Tiffany Hrabusa](https://github.com/tiffany76) (Grafana Labs)'
# prettier-ignore
cSpell:ignore: Adevinta Aftab Arianna Baeyens Bartłomiej Boulineau Celalettin Cgroupv Chauhan codecentric Contribfest Cosmonic Geisendoerfer Guangya Hoeven Horovits Hrabusa Jiří Juraj Kalyanaraman Karemba Karthik Kasper Kathiresan kedify Keycloak Kimpel Kluwer Kokilavani Kovalenko Kowall Kremser Kruthika Liatrio Mancioppi Marylia Michálek MTTD Nilson Nissen Norimatsu Oberaigner observ Olly OTTL Paessler Pahlke Prasanna Płotka Querel Roubalik SCRM Simha Skyscanner Suereth Tanaka Vamerlatti Vespri Vijay Wolters Zbynek
---

The OpenTelemetry governance and technical committees, along with the project's
maintainers, invite you to join them and other members of the OpenTelemetry
community at [KubeCon + CloudNativeCon Europe][] ([registration][]) and at the
co-located [Observability Day] in London from April 1 to 4, 2025.

This post covers all currently scheduled activities related to OpenTelemetry
that are happening during KubeCon. Check back for updates before the start of
the conference!

## OpenTelemetry Contribfest

Join the OpenTelemetry maintainers for
[OpenTelemetry Contribfest](https://sched.co/1tcyB)! This hands-on session is a
favorite for new contributors. You can choose between several opportunities to
contribute&mdash;Collector, Go, Java, JavaScript, and more&mdash;with support
and guidance from maintainers in these project areas to help you get started.

## KubeCon talks and maintainer sessions

- **[⚡ Lightning Talk: Quick Intro to CI/CD Observability with OpenTelemetry](https://sched.co/1tcwL)**<br>
  by Dotan Horovits, CNCF Ambassador<br> Tuesday, April 1 • 14:50 - 14:55
- **[Keynote: AI Enabled Observability Explainers - We Actually Did Something With AI!](https://sched.co/1txBX)**<br>
  by Vijay Samuel, Principal MTS, Architect, eBay<br> Wednesday, April 2 •
  09:48 - 10:03
- **[Keynote: The Observability Platform Engineering Advantage: From Zero-Code to Monitoring as Code](https://sched.co/1txBd)**<br>
  by Kasper Borg Nissen, Dash0<br> Wednesday, April 2 • 10:26 -10:41
- **[OpenTelemetry Project Update](https://sched.co/1tcxD)**<br> by Severin
  Neumann, Independent; Daniel Gomez Blanco, Skyscanner; Alolita Sharma, Apple;
  Trask Stalnaker, Microsoft; Pablo Baeyens, Datadog <br> Wednesday, April 2 •
  11:15 - 11:45
- **[OpenFeature Update From the Maintainers](https://sched.co/1tcxA)**<br> by
  Thomas Poignant, Adevinta; Lukas Reining, codecentric AG; Alexandra
  Oberaigner, Dynatrace<br> Wednesday, April 2 • 11:15 - 11:45
- **[Standardizing CI/CD Observability with OpenTelemetry: Insights from the CI/CD Observability SIG](https://sched.co/1tcxP)**<br>
  by Dotan Horovits, CNCF Ambassador & Adriel Perkins, Liatrio<br> Wednesday,
  April 2 • 12:00 - 12:30
- **[From 0 to Production-Grade with Kubernetes Native Development](https://sched.co/1txGo)**<br>
  by Thomas Vitale, Systematic & Kevin Dubois, Red Hat<br> Wednesday, April 2 •
  12:00 - 12:30
- **[KEDA: Unlocking Advanced Event-Driven Scaling for Kubernetes](https://sched.co/1tcxY)**<br>
  by Zbynek Roubalik, Kedify & Jorge Turrado, SCRM Lidl International Hub<br>
  Wednesday, April 2 • 12:00 - 12:30
- **[Enhancing Database Observability with OpenTelemetry](https://sched.co/1txE9)**<br>
  by Marylia Gutierrez, Grafana Labs<br> Wednesday, April 2 • 14:30 - 15:00
- **[What's New in gRPC](https://sched.co/1tcy8)**<br> by Kevin Nilson,
  Google<br> Wednesday, April 2 • 15:15 - 15:45
- **[Deep Dive To AI Agent Observability](https://sched.co/1txEC)**<br> by
  Guangya Liu, IBM & Karthik Kalyanaraman, Langtrace AI<br> Wednesday, April 2 •
  15:15 - 15:45
- **[More Data Please: Hands on Green Cloud Experiments](https://sched.co/1tx9z)**<br>
  by Leonard Pahlke, BWI GmbH & Antonio Di Turi, Data Reply<br> Wednesday, April
  2 • 15:15 - 15:45
- **[Asimov's Zeroth Law of Robotics: Observability for AI](https://sched.co/1txEF)**<br>
  by Nicole van der Hoeven, Grafana Labs<br> Wednesday, April 2 • 16:15 - 16:45
- **[Jaeger V2: OpenTelemetry at the Core of Modern Distributed Tracing](https://sched.co/1tcyZ)**<br>
  by Jonah Kowall, Paessler<br> Wednesday, April 2 • 17:00 - 17:30
- **[An Exemplary Path: Leveraging EBPFs and OpenTelemetry To Auto-instrument for Exemplars](https://sched.co/1txEI)**<br>
  by Charlie Le & Kruthika Prasanna Simha, Apple<br> Wednesday, April 2 •
  17:00 - 17:30
- **[Logs, Metrics, Traces and Mayhem: An Interactive Observability Adventure Game](https://sched.co/1txG5)**<br>
  by Jay Clifford & Tom Glenn, Grafana Labs<br> Wednesday, April 2 • 17:45 -
  18:15
- **[How Green Is My OpenTelemetry Collector?](https://sched.co/1txEL)**<br> by
  Nancy Chauhan, Student & Adriana Villela, Dynatrace<br> Wednesday, April 2 •
  17:45 - 18:15
- **[OTel Sucks (But Also Rocks!)](https://sched.co/1txHm)**<br> by Juraci
  Paixão Kröhling, OllyGarden & Daniel Dyla, Dynatrace<br> Thursday, April 3 •
  11:00 - 11:30
- **[Wasm Whiplash: WasmCloud's Wild Ride To Standards](https://sched.co/1tcz9)**<br>
  by Brooks Townsend, Cosmonic<br> Thursday, April 3 • 11:45 - 12:15
- **[How To Adopt OpenTelemetry in an Enterprise Where Incumbent Vendor Tools Reign Supreme](https://sched.co/1txHs)**<br>
  by Chris Weldon, Wolters Kluwer<br> Thursday, April 3 • 14:15 - 14:45
- **[How To Rename Metrics Without Impacting Somebody’s Observability](https://sched.co/1txHv)**<br>
  by Bartłomiej Płotka, Google & Arianna Vespri, Independent<br> Thursday, April
  3 • 15:00 - 15:30
- **[OTel Me How To Get My Open Source Community Taken Seriously: Lessons Learned as an OTel Maintainer](https://sched.co/1txH6)**<br>
  by Reese Lee, New Relic & Adriana Villela, Dynatrace<br> Thursday, April 3 •
  16:45 - 17:15
- **[⚡ Lightning Talk: Observability Diet: Your 5-Step Plan To Trim the Data Fat](https://sched.co/1txCq)**<br>
  by Pranay Prateek, SigNoz<br> Thursday, April 3 • 16:55 - 17:00
- **[Optimizing Metrics Collection & Serving When Autoscaling LLM Workloads](https://sched.co/1txI4)**<br>
  by Vincent Hou, Bloomberg & Jiří Kremser, kedify.io<br> Thursday, April 3 •
  17:30 - 18:00
- **[The State of Prometheus and OpenTelemetry Interoperability](https://sched.co/1txIA)**<br>
  by Arthur Sens, Grafana & Juraj Michálek, Swiss RE<br> Friday, April 4 •
  11:45 - 12:15
- **[Fluent Bit v4: A Decade of Innovation and What’s Next](https://sched.co/1ue2s)**<br>
  by Eduardo Silva, Chronosphere<br> Friday, April 4 • 13:45 - 14:15
- **[Smooth Scaling With the OpAMP Supervisor: Managing Thousands of OpenTelemetry Collectors](https://sched.co/1txID)**<br>
  by Evan Bradley, Dynatrace & Andy Keller, observIQ<br> Friday, April 4 •
  13:45 - 14:15
- **[Evolving OpenID Connect and Observability in Keycloak](https://sched.co/1td1c)**<br>
  by Ryan Emerson, Red Hat & Takashi Norimatsu, Hitachi<br> Friday, April 4 •
  14:30 - 15:00
- **[How To Supercharge AI/ML Observability With OpenTelemetry and Fluent Bit](https://sched.co/1txAi)**<br>
  by Celalettin Calis, Chronosphere<br> Friday, April 4 • 15:15 - 15:45

## Observability Day

[Observability Day] fosters collaboration, discussion, and knowledge sharing of
cloud native observability projects. This event will be held on Tuesday, April
1, 2025, from 9:00 - 17:25. There will be several sessions on OpenTelemetry as
well.

{{% alert-md title="Important access note" color="danger" %}}

You need an _all-access_ pass to attend **Observability Day**. For details, see
[KubeCon registration][registration].

[registration]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/register/?utm_source=opentelemetry&utm_medium=all&utm_campaign=KubeCon-EU-2025&utm_content=blog

{{% /alert-md %}}

- **[Sponsored Keynote: The Future of Observability: Trends, AI, and New Relic’s Vision for a Smarter Stack](https://sched.co/1u5jm)**<br>
  by Harry Kimpel, New Relic<br> Tuesday, April 1 • 10:00 - 10:05
- **[Sponsored Keynote: Fluent Bit vs. OpenTelemetry Collector - Why Not Both?](https://sched.co/1u5jp)**<br>
  by Paige Cruz, Chronosphere<br> Tuesday, April 1 • 10:10 - 10:15
- **[Observability by Design: Leveraging OpenTelemetry Weaver To Take Control of Your Observability](https://sched.co/1u5jy)**<br>
  by Josh Suereth, Google & Laurent Querel, F5<br> Tuesday, April 1 • 11:20 -
  11:45
- **[Encrypted Telemetry in Transit](https://sched.co/1u5k4)**<br> by Jason
  Plumb, Splunk<br> Tuesday, April 1 • 12:55 - 13:20
- **[From Sampling To Full Visibility: Scaling Tracing To Trillions of Spans](https://sched.co/1u5k7)**<br>
  by Sonam Gupta, SigLens<br> Tuesday, April 1 • 12:55 - 13:20
- **[OpenTelemetry at Delivery Hero: The Good, the Bad and the Vendor-Agnostic](https://sched.co/1u5kD)**<br>
  by Elena Kovalenko, Delivery Hero<br> Tuesday, April 1 • 13:30 - 13:55
- **[From Splunk To OTel: Scaling Observability at MSCI With a Four-Person Team](https://sched.co/1u5kP)**<br>
  by Aftab Khan & Zach Arnold, MSCI<br> Tuesday, April 1 • 14:40 - 15:05
- **[Customize Your Own OpenTelemetry Collector: An Introduction To OCB](https://sched.co/1u5kV)**<br>
  by Evan Bradley, Dynatrace & Pablo Baeyens, Datadog<br> Tuesday, April 1 •
  15:20 - 15:45
- **[The Art and Craft of No-touch Instrumentation](https://sched.co/1u5kS)**<br>
  by Michele Mancioppi, Dash0<br> Tuesday, April 1 • 15:20 - 15:45
- **[OTel-y Oops: Learning From Our Observability Blunders](https://sched.co/1u5kY)**<br>
  by Joe Stephenson & Rodney Karemba, Akamai Technologies<br> Tuesday, April 1 •
  15:55 - 16:20
- **[Beyond the Ephemeral: Mastering Serverless Metrics at Scale With Shopify](https://sched.co/1u5kh)**<br>
  by Pedro Tanaka, Shopify<br> Tuesday, April 1 • 16:30 - 16:55
- **[The State of OpenTelemetry Profiling](https://sched.co/1u5ke)**<br> by
  Damien Mathieu, Elastic & Felix Geisendoerfer, Datadog<br> Tuesday, April 1 •
  16:30 - 16:55
- **[⚡ Lightning Talk: Unlocking Customer-Centric Observability: A Case Study of OpenTelemetry To Reduce MTTD < 3 Mins](https://sched.co/1u5kn)**<br>
  by Kokilavani Kathiresan, Intuit<br> Tuesday, April 1 • 17:00 - 17:10
- **[⚡ Lightning Talk: Who Are You? Solving the Container ID Resolution With Cgroupv2](https://sched.co/1u5kk)**<br>
  by Vincent Boulineau, Datadog<br> Tuesday, April 1 • 17:00 - 17:10
- **[⚡ Lightning Talk: Empowering OpenTelemetry Users With the OTTL Playground: Simplified Data Transformation and Testing](https://sched.co/1u5kt)**<br>
  by Edmo Vamerlatti Costa, Elastic<br> Tuesday, April 1 • 17:15 - 17:25
- **[⚡ Lightning Talk: From HAR To OpenTelemetry Trace: Redefining Your Observability](https://sched.co/1u5kq)**<br>
  by Antonio Jimenez Martinez, Cisco ThousandEyes<br> Tuesday, April 1 • 17:15 -
  17:25

## OpenTelemetry Observatory Booth {#opentelemetry-observatory}

Drop by and say _"Hi!"_ at **OpenTelemetry Observatory booth** in the Expo
Hall[^1], courtesy of [Splunk]. This will be a place for informal chats,
meetups, and other discussions led by OpenTelemetry community members and
maintainers.

[^1]:
    The Observatory booth may show up as a "Splunk activation zone" in the event
    map.

For the **activity schedule**, see the [OTel Observatory Calendar][]. If you’d
like to participate or lead a discussion or short presentation, reach out to the
[OpenTelemetry End User Working Group][] to indicate your interest.

You can also help us improve OTel by sharing your thoughts and feedback about
your OpenTelemetry adoption, implementation, and usage experiences. We will
create action items from your comments as appropriate, and post results to
[#otel-sig-end-user] after the conference.

{{< comment >}}

<!-- To join a feedback session, book online below. All times in Central European
Time (CET).

- **March 20th, 11:45-12:45:**
  [End User Feedback Session - .NET & .NET Auto-Instrumentation](https://calendly.com/euwg-user-feedback-session/end-user-feedback-session?month=2024-03)
- **March 20th, 15:00-16:00:**
  [End User Feedback Session - JavaScript](https://calendly.com/euwg-user-feedback-session/end-user-feedback-session-javascript?month=2024-03)
- **March 21st, 11:00-12:00:**
  [End User Feedback Session - Semantic Conventions](https://calendly.com/euwg-user-feedback-session/end-user-feedback-session-semantic-conventions?month=2024-03)
- **March 21st, 14:30-15:30:**
  [End User Feedback Session - Comms (website, docs)](https://calendly.com/euwg-user-feedback-session/end-user-feedback-session-comms?month=2024-03)
- **March 21st, 15:00-16:00:**
  [End User Feedback Session - Profiling](https://calendly.com/euwg-user-feedback-session/end-user-feedback-session-profiling?month=2024-03)
- **March 21st, 15:30-16:30:**
  [End User Feedback Session - Client-side](https://calendly.com/euwg-user-feedback-session/end-user-feedback-session-client-side)

A maximum of 5 participants will join one SIG maintainer to provide feedback for
that SIG. Sessions will be recorded and posted on the
[OTel YouTube channel](https://youtube.com/@otel-official).
-->

{{< /comment >}}

{{< comment >}}

<!-- Back by popular demand! We'll be recording
[Humans of OTel interviews](/blog/2023/humans-of-otel/) at the OTel Observatory.
If you'd like to share your experiences as an OpenTelemetry practitioner or
maintainer,
[sign up for an interview session](https://calendly.com/otel-euwg/humans-of-otel).
-->

{{< /comment >}}

## Join us

Come listen, learn, and get involved in OpenTelemetry. See you in London!

[#otel-sig-end-user]: https://cloud-native.slack.com/archives/C01RT3MSWGZ
[KubeCon + CloudNativeCon Europe]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/?utm_source=opentelemetry&utm_medium=all&utm_campaign=KubeCon-EU-2025&utm_content=blog
[Observability Day]:
  https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/co-located-events/observability-day/
[OpenTelemetry End User Working Group]:
  https://cloud-native.slack.com/archives/C01RT3MSWGZ
[OTel Observatory Calendar]:
  https://calendar.google.com/calendar/embed?src=c_6b6b343737cc9bbf0393ba40c101d6b017514751e66951c9890d089eedd78a37@group.calendar.google.com&mode=WEEK&dates=20250331/20250406
[Splunk]: https://www.splunk.com/
