---
title: End-user resources
linkTitle: End user
description: Vendor-agnostic resources for OpenTelemetry users
weight: 40
---

Looking to connect with other OpenTelemetry end users in a vendor-agnostic
space, or to learn more about OpenTelemetry? Perhaps you have some feedback
about your implementation or adoption that you'd like to share with project
contributors, or you want to help prioritize project issues. You've come to the
right place!

- To connect with other end users and learn about upcoming events, join the
  [Slack channel](slack-channel/).
- To learn about OpenTelemetry, check out:
  - [OTel in practice](otel-in-practice/)
  - Curated content on the
    [OpenTelemetry YouTube channel](https://www.youtube.com/@otel-official)
- To provide feedback and help prioritize issues:
  - Participate in a [direct interview/feedback session](interviews-feedback/)
  - Take a [survey](feedback-survey/)
  - Join a panel discussion (more info coming soon!)
  - Vote on issues (more info coming soon!)

These forums aim to bring together operations and development engineers from
different organizations to discuss challenges and solutions to achieving
ubiquitous observability. We encourage you to share your successes and failures,
discover best practices, and meet others who are also on a journey to implement
observability powered by OpenTelemetry.

### Topics

This group is what its members make it -- whatever is of interest to the group
is fair game!

But here are some of the kinds of things we expect will be on the table:

- Refactoring with telemetry
- What is company X doing with OpenTelemetry?
- Correlating multiple observability signals
- Maintaining and scaling OpenTelemetry deployments
- Writing custom instrumentation

### Questions

**Is this group only for OpenTelemetry end users?**

Everybody is welcome to join and discuss their journey to observability. This
group is hosted by the OpenTelemetry Community End-User SIG, so we expect most
participants will be from organizations that are evaluating or using
OpenTelemetry.

**I have questions about this, who can I reach out to?**

You can find members of the
[OpenTelemetry End User SIG](https://github.com/open-telemetry/sig-end-user) in
[#otel-sig-end-user](https://cloud-native.slack.com/archives/C01RT3MSWGZ).
