---
title: Members of the OpenTelemetry Project
linkTitle: Members
weight: 30
cSpell:ignore: subproject triagers
---

The OpenTelemetry community consists of many individuals from different
backgrounds, who help to accomplish the
[vision and mission](/community/mission/) of the project.

Below you find all the established community members in their different roles
for the project.

If you are a contributor to the OpenTelemetry project already, and not listed
here, you either have not
[set your membership to public](https://docs.github.com/en/account-and-profile/setting-up-and-managing-your-personal-account-on-github/managing-your-membership-in-organizations/publicizing-or-hiding-organization-membership),
or you need to take a look in our
[contributor guidelines](https://github.com/open-telemetry/community/blob/main/guides/contributor/membership.md)
on how you can start your contributor as a member, and move up the ladder, all
the way to maintainer!

## Governance Committee

The Governance Committee (GC) is the governing body of the OpenTelemetry
project. Members of the GC are
[elected by the Members Of Standing in the OpenTelemetry community](https://github.com/open-telemetry/community/blob/main/governance-charter.md#elections)

{{% community/members-list "governance-committee" %}}

## Technical Committee

The Technical Committee (TC) is responsible for all technical development within
the OpenTelemetry project.

{{% community/members-list "technical-committee" %}}

## Specification Sponsors

Specification sponsors are trusted collaborators of the technical committee, and
work to review, approve, and sponsor
[OpenTelemetry specification](/docs/specs/otel/) issues and PRs.

{{% community/members-list "spec-sponsors" %}}

## Maintainers

Maintainers are the technical authority for a subproject in the OpenTelemetry
project. Maintainers set technical direction and make or approve design
decisions for their subproject.

{{% community/members-list "maintainers" %}}

## Approvers

Code approvers are able to both review and approve code contributions, as well
as help maintainers triage issues and do project management.

{{% community/members-list "approvers" %}}

## Triagers

Triagers assist the maintainers and approvers with project management and
backlog organization. The specific workflows and triage requirements depend on
the project, and are set by the project maintainers.

{{% community/members-list "triagers" %}}

## Members

Members are continuously active contributors in the community. They can have
issues and PRs assigned to them. Members are expected to participate in SIG(s)
and remain active contributors to the community.

{{% community/members-list "members" %}}
