---
title: Semantic Conventions
description: Common names for different kinds of operations and data.
weight: 30
---

OpenTelemetry defines [Semantic Conventions](/docs/specs/semconv/), sometimes
called Semantic attributes, that specify common names for different kinds of
operations and data. The benefit of using Semantic conventions is in following a
common naming scheme that can be standardized across a codebase, libraries, and
platforms.

Semantic conventions are available for traces, metrics, logs, and resources:

- [Trace semantic conventions](/docs/specs/semconv/general/trace/)
- [Metric semantic conventions](/docs/specs/semconv/general/metrics/)
- [Log semantic conventions](/docs/specs/semconv/general/logs/)
- [Resource semantic conventions](/docs/specs/semconv/resource/)
