---
title: Contributing
aliases: [/docs/contribution-guidelines]
weight: 980
---

Thanks for your interest in contributing to the OpenTelemetry docs and website.

## Jump right in!

What do you want to do?

- Correct a **typo or other quick fixes**, see
  [Submitting content using GitHub](pull-requests/#changes-using-github)
- For more significant contributions, read the pages in this section starting
  with:
  - [Prerequisites]
  - [Issues]
  - [Submitting content]

[Prerequisites]: prerequisites/
[Issues]: issues/
[Submitting content]: pull-requests/

{{% alert title="<i class='far fa-exclamation-triangle'></i> First time contributing? " %}}

Eager first-time contributors, see
[Fixing an existing issue](issues/#fixing-an-existing-issue) for important
guidance.

{{% /alert %}}

## What can I contribute to?

OpenTelemetry documentation contributors:

- Improve existing or create new content
- [Submit a blog post](blog/) or case study
- Add to or update the [OpenTelemetry Registry](/ecosystem/registry/)
- Improve the code that builds the site

The pages in this section describe how to contribute to OpenTelemetry
**documentation**.

For guidance on how to contribute to the OpenTelemetry project in general, see
the community [OpenTelemetry New Contributor Guide]. Every [OTel
repository][org] for language implementations, the Collector, and conventions
have their own project-specific contributing guides.

[OpenTelemetry New Contributor Guide]:
  https://github.com/open-telemetry/community/blob/main/guides/contributor
[org]: https://github.com/open-telemetry
