---
title: Prerequisites
description:
  To contribute, you need to be familiar with the following techs and tools.
aliases: [requirements]
weight: 1
---

To contribute to this repository, you need to be familiar with the following
techs and tools:

- [git](https://git-scm.com/)
- [GitHub](https://github.com/)
- Markdown ([CommonMark](https://commonmark.org/))
- YAML

For technical details concerning how the documentation is built and tested
locally, see [Development](../development).

## Sign the CNCF CLA {#cla}

All OpenTelemetry contributors must sign the Linux Foundation [Contributor
License Agreement (CLA)][CLA].

Pull requests from contributors who haven't signed the CLA fail the automated
tests. The name and email you provide must match those found in your
`git config`, and your git name and email must match those used for the CNCF
CLA.

## Code of conduct

All OpenTelemetry contributors are bound by the [CNCF Community Code of
Conduct][CoC].

## Community guidelines

For general OpenTelemetry community guidelines, including roles and
expectations, see [OpenTelemetry New Contributor Guide][NCG]

[CLA]: https://docs.linuxfoundation.org/lfx/easycla/contributors
[CoC]: https://github.com/cncf/foundation/blob/main/code-of-conduct.md
[NCG]:
  https://github.com/open-telemetry/community/blob/main/guides/contributor/README.md
