---
title: Getting started for Ops
linkTitle: Ops
---

This is the [getting-started](..) page for you if:

- You run a set of applications in production.
- Your goal is to get telemetry out of them without touching their code.
- You want to collect traces, metrics, and logs from several services and send
  them off to your observability backend.

OpenTelemetry can help you! To accomplish your goal of getting telemetry out of
applications without touching their code, we recommend that you learn the
following:

- [What is OpenTelemetry?](../../what-is-opentelemetry/)
- [How can I instrument applications without touching their code?](../../concepts/instrumentation/zero-code/)
- [How can I set up a collector?](../../collector/)
- [How can I get automation for Kubernetes with the OpenTelemetry Operator?](../../platforms/kubernetes/operator/)

If you are looking for a set of applications to try things out, you will find
our official [OpenTelemetry demo](/ecosystem/demo/) useful.
