---
title: Adopters
description: Organizations that use OpenTelemetry
---

OpenTelemetry's mission is to enable effective observability for all its
end-users. If you are thinking about adopting OpenTelemetry for your
organization, you may be curious about other adoption journeys. The table below
is a non-exhaustive list of
[_end-user_ organizations](https://www.cncf.io/enduser/) that have adopted
OpenTelemetry for [Observability](/docs/concepts/observability-primer/).

{{% ecosystem/adopters-table %}}

## Adding your organization as an adopter {#how-to-add}

To have your organization listed, submit a PR with an entry added to the
[adopters list]. The entry should include the following:

- Link to a blog post or other resource that describes how your organization
  makes use of OpenTelemetry
- GitHub handle or email address as a point of contact so that we can reach out
  in case we have questions

Note that this list is for
[_end-user_ organizations](https://www.cncf.io/enduser/) that do not provide any
OpenTelemetry-related services.

If your organization provides a **library** or **service** made observable
through OpenTelemetry, see [Integrations](/ecosystem/integrations/).

If your organization provides a solution that consumes OpenTelemetry to offer
**Observability to end users**, see [Vendors](/ecosystem/vendors).

{{% include keep-up-to-date.md adopter %}}

[adopters list]:
  https://github.com/open-telemetry/opentelemetry.io/tree/main/data/ecosystem/adopters.yaml
