---
title: OpenTelemetry Demo
linkTitle: Demo
description:
  The OpenTelemetry Demo is a microservice-based distributed system intended to
  illustrate the implementation of OpenTelemetry in a near real-world
  environment.
aliases:
  - /community/demo
  - /docs/getting-started/demo
  - /docs/opentelemetry-demo
weight: 10
---

The [OpenTelemetry Demo](/docs/demo/) does the following:

- Provides a realistic example of a distributed system that can be used to
  demonstrate OpenTelemetry instrumentation and observability.
- Builds a base for vendors, tooling authors, and others to extend and
  demonstrate their OpenTelemetry integrations.
- Creates a living example for OpenTelemetry contributors to use for testing new
  versions of the API, SDK, and other components or enhancements.

If you find yourself asking questions like:

- How should I use the SDK for my language?
- What's the best way to use OpenTelemetry APIs?
- How should my services be configured?
- How should my OpenTelemetry Collector be configured?
- How do I consider the [architecture](/docs/demo/architecture/) of a system
  using OpenTelemetry?

For more information, see:

- [Demo documentation](/docs/demo/)
- [Demo repository](https://github.com/open-telemetry/opentelemetry-demo)
