---
title: Introducción para desarrolladores
linkTitle: Dev
default_lang_commit: ede5b715791550eccf1c0dc3d57e2713ca6350ab
drifted_from_default: true
---

Esta es tu página de [introducción](..) si:

- Desarrollas software.
- Tu objetivo es obtener observabilidad escribiendo código.
- Quieres que tus dependencias emitan telemetría automáticamente.

¡OpenTelemetry puede ayudarte! Para lograr tus objetivos de tener tus
dependencias instrumentadas automáticamente y de instrumentar tu propio código
manualmente con nuestra API, te recomendamos aprender primero los siguientes
conceptos:

- [¿Qué es OpenTelemetry?](../../what-is-opentelemetry/)
- [¿Cómo puedo agregar instrumentación a mi base de código?](../../concepts/instrumentation/code-based/)

Si desarrollas bibliotecas, frameworks o middleware que se utilizan como
dependencias dentro de otro software, te recomendamos aprender cómo puedes
proporcionar telemetría de forma nativa:

- [¿Cómo puedo agregar instrumentación nativa a mi biblioteca?](../../concepts/instrumentation/libraries/)

Luego, puedes profundizar en la documentación por
[lenguaje de programación](../../languages/) que estás utilizando:

- [C++](../../languages/cpp/)
- [.NET](../../languages/dotnet/)
- [Erlang / Elixir](../../languages/erlang/)
- [Go](../../languages/go/)
- [Java](../../languages/java/)
- [JavaScript / TypeScript](../../languages/js/)
- [PHP](../../languages/php/)
- [Python](../../languages/python/)
- [Ruby](../../languages/ruby/)
- [Rust](../../languages/rust/)
- [Swift](../../languages/swift/)
- [Otros](../../languages/other/)
