---
title: コレクターなし
description: アプリケーションからバックエンドへ直接シグナルを送信する理由と方法
weight: 1
default_lang_commit: b34ebe22b71962da96b898eb39a666ed57d447fe
---

最もシンプルなパターンは、コレクターをまったく使用しないことです。
このパターンは、OpenTelemetry SDKで[計装された][instrumentation]アプリケーションが、テレメトリーシグナル（トレース、メトリクス、ログ）をバックエンドに直接エクスポートする構成です。

![コレクターなしのデプロイメント概念](../../img/otel-sdk.svg)

## 例 {#example}

アプリケーションからバックエンドにシグナルを直接エクスポートする方法について、具体的なエンドツーエンドの例は[プログラミング言語のコード計装][instrumentation]をご覧ください。

## トレードオフ {#tradeoffs}

長所：

- 使用が簡単（特に開発/テスト環境で）
- 運用に追加の可動部品が必要ない（本番環境で）

短所：

- 収集、処理、または取り込みの変更がある場合、コード変更が必要
- アプリケーションコードとバックエンド間の強い結合
- 言語実装ごとにエクスポーターの数が制限されている

[instrumentation]: /docs/languages/
