---
title: コントリビューション
aliases: [/docs/contribution-guidelines]
weight: 980
default_lang_commit: 24146bd1368e4c6082c7d6077efd29dba0d51055
---

OpenTelemetry のドキュメントとWebサイトのコントリビューションに興味を持っていただきありがとうございます。

## 今すぐ飛び込んでみよう! {#jump-right-in}

何がしたいですか?

- タイプミスやその他の簡単な修正を行う場合は、[GitHub を利用したコンテンツの提出](pull-requests/#changes-using-github)を確認してください
- より重要なコントリビューションを行う場合は、このセクション内の以下のページからお読みください。
  - [前提条件][Prerequisites]
  - [イシュー][Issues]
  - [コンテンツの提出][Submitting content]

[Prerequisites]: prerequisites/
[Issues]: issues/
[Submitting content]: pull-requests/

{{% alert title="<i class='far fa-exclamation-triangle'></i> 初めてのコントリビュートですか? " %}}

意欲的な初めてのコントリビューターの方は、重要なガイダンスとして[既存のイシューを修正](issues/#fixing-an-existing-issue)を確認してください。

{{% /alert %}}

## 何にコントリビュートできる? {#what-can-i-contribute-to}

OpenTelemetryドキュメントコントリビューターは以下を行ないます。

- 既存コンテンツの改善または新しいコンテンツの作成。
- [ブログ記事の作成](/blog)またはケーススタディ。
- OpenTelemetry Registryの追加または更新。
- サイトをビルドするコードの改善。

このページの本セクションは、OpenTelemetry **ドキュメント**へのコントリビュート方法について説明します。

OpenTelemetryプロジェクトへの一般的なコントリビュートの手引には、[OpenTelemetryコントリビューターガイド]を参照ください。
すべての言語の実装、コレクター、規約の[リポジトリ][org]は独自のコントリビュートの手引があります。

[OpenTelemetryコントリビューターガイド]: https://github.com/open-telemetry/community/blob/main/guides/contributor
[org]: https://github.com/open-telemetry
