---
title: Contribuindo
aliases: [/docs/contribution-guidelines]
weight: 980
default_lang_commit: 1ececa0615b64c5dfd93fd6393f3e4052e0cc496
---

Obrigado pelo seu interesse em contribuir com o website e documentação do
OpenTelemetry.

## Vamos lá! {#jump-right-in}

O que você deseja fazer?

- Para corrigir um **erro de digitação ou outras correções rápidas**, veja
  [Submetendo alterações usando o GitHub](pull-requests/#changes-using-github)
- Para contribuições mais significativas, leia as páginas desta seção começando
  com:
  - [Pré-requisitos]
  - [Issues]
  - [Submetendo Alterações]

[Pré-requisitos]: prerequisites/
[Issues]: issues/
[Submetendo Alterações]: pull-requests/

{{% alert title="<i class='far fa-exclamation-triangle'></i> Primeira vez contribuindo? " %}}

Contribuidores de primeira viagem, consulte
[Corrigindo uma issue existente](issues/#fixing-an-existing-issue) para
orientações importantes.

{{% /alert %}}

## No que posso contribuir? {#what-can-i-contribute-to}

Contribuidores da documentação OpenTelemetry:

- Melhorar o conteúdo existente ou criar novo conteúdo
- [Submeter uma postagem no blog](blog/) ou estudo de caso
- Adicionar ou atualizar o [OpenTelemetry Registry](/ecosystem/registry/)
- Melhorar o código e scripts usados para construir o website

As páginas desta seção descrevem apenas como contribuir com a documentação do
OpenTelemetry.

Para orientações de como contribuir para o projeto OpenTelemetry em geral,
consulte o [Guia para novos contribuidores do OpenTelemetry] da comunidade. Cada
[repositório OTel][org] para implementações de linguagem, o Collector e
convenções possui seu próprio guia de contribuição específico.

[Guia para novos contribuidores do OpenTelemetry]:
  https://github.com/open-telemetry/community/blob/main/guides/contributor
[org]: https://github.com/open-telemetry
