---
title: Primeiros passos para Desenvolvedores
linkTitle: Dev
default_lang_commit: f1ccafef4b5070f26ce63a3dc19fcafc8a00fb8f
---

A página [primeiros-passos](..) é para você se:

- Você desenvolve software.
- Seu objetivo é obter observabilidade escrevendo código.
- Você deseja que suas dependências emitam telemetria automaticamente para você.

O OpenTelemetry pode ajudá-lo! Para atingir seus objetivos de ter suas
dependências instrumentadas automaticamente e instrumentar seu próprio código
manualmente com nossa API, é importante entender os seguintes conceitos
primeiro:

- [O que é o OpenTelemetry?](../../what-is-opentelemetry/)
- [Como adicionar instrumentação ao meu código?](../../concepts/instrumentation/code-based/)

Se você desenvolve bibliotecas, frameworks ou middleware que são usados como
dependência em outros softwares, recomendamos que você aprenda como pode
fornecer telemetria nativamente:

- [Como adicionar instrumentação nativa à minha biblioteca?](../../concepts/instrumentation/libraries/)

Se você está procurando um conjunto de aplicações para realizar testes, a nossa
[demonstração oficial do OpenTelemetry](/ecosystem/demo/) poderá ser útil.

Em seguida, você pode se aprofundar na documentação da
[linguagem](../../languages/) que você está usando:

- [C++](../../languages/cpp/)
- [.NET](../../languages/dotnet/)
- [Erlang / Elixir](../../languages/erlang/)
- [Go](../../languages/go/)
- [Java](../../languages/java/)
- [JavaScript / TypeScript](../../languages/js/)
- [PHP](../../languages/php/)
- [Python](../../languages/python/)
- [Ruby](../../languages/ruby/)
- [Rust](../../languages/rust/)
- [Swift](../../languages/swift/)
- [Other](../../languages/other/)
