---
title: OpenTelemetry Demo
linkTitle: Demo
description:
  A Demo do OpenTelemetry é um sistema distribuído baseado em microsserviços,
  projetada para ilustrar a implementação do OpenTelemetry em um ambiente quase
  real.
aliases:
  - /community/demo
  - /docs/getting-started/demo
  - /docs/opentelemetry-demo
weight: 10
default_lang_commit: 8023bf0b94b439a0ca9d9428f26fa20f254f82e3
---

A [Demo do OpenTelemetry](/docs/demo/) realiza as seguintes funções:

- Fornece um exemplo realista de um sistema distribuído que pode ser utilizado
  para demonstrar a instrumentação e a observabilidade do OpenTelemetry.
- Cria uma base para fornecedores, autores de ferramentas e outros ampliarem e
  demonstrarem suas integrações com o OpenTelemetry.
- Oferece um exemplo dinâmico para os contribuidores do OpenTelemetry utilizarem
  nos testes de novas versões da API, SDK e outros componentes ou melhorias.

Caso você se encontre fazendo perguntas como:

- Como devo utilizar o SDK para minha linguagem de programação?
- Qual é a melhor maneira de utilizar as APIs do OpenTelemetry?
- Como os meus serviços devem ser configurados?
- Como devo configurar o OpenTelemetry Collector?
- Como devo considerar a [arquitetura](/docs/demo/architecture/) de um sistema
  que utiliza o OpenTelemetry?

Para mais informações, consulte:

- [Documentação da Demo](/docs/demo/)
- [Repositório da Demo](https://github.com/open-telemetry/opentelemetry-demo)
