---
title: 开发人员入门
linkTitle: Dev
default_lang_commit: e771c886739c4847b332b74f24b09d2769aab875
drifted_from_default: true
---

如果你符合以下条件，那么这个[入门指南](..)就是为你准备的：

- 你是一名软件开发者。
- 你的目标是通过编写代码来实现可观测性。
- 你希望你的依赖项能自动生成可观测性数据。

OpenTelemetry 可以帮到你！为了实现你的目标——自动为依赖项添加插桩以及使用我们的
API 手动为你自己的代码添加插桩——我们建议你先学习以下概念：

- [什么是 OpenTelemetry？](../../what-is-opentelemetry/)
- [如何为我的代码库添加插桩？](../../concepts/instrumentation/code-based/)

如果你开发的是被其他软件作为依赖项使用的库、框架或中间件，我们建议你了解如何原生提供可观测性数据：

- [如何为我的库添加原生插桩？](../../concepts/instrumentation/libraries/)

接下来，你可以深入了解一些你会用到的[编程语言](../../languages/)文档：

- [C++](../../languages/cpp/)
- [.NET](../../languages/dotnet/)
- [Erlang / Elixir](../../languages/erlang/)
- [Go](../../languages/go/)
- [Java](../../languages/java/)
- [JavaScript / TypeScript](../../languages/js/)
- [PHP](../../languages/php/)
- [Python](../../languages/python/)
- [Ruby](../../languages/ruby/)
- [Rust](../../languages/rust/)
- [Swift](../../languages/swift/)
- [Other](../../languages/other/)
